Odoo Inventory Management
-------------------------

The Odoo <a href="https://www.odoo.com/page/warehouse">Open Source Inventory Management</a>
is a double entry warehouse management system.

Decrease your process times, automate transactions, reduce your stock levels
and get complete traceability on all operations with the Odoo double entry
inventory system.

Double Entry Inventory Management
---------------------------------

Based on the concept of double entry that revolutionized accounting, Odoo's
inventory management isn't about consumption, loss or missing products;
products are just moved from one location to another.

This allows full traceability (from customer to supplier, not limited to your
warehouse), advanced reporting (e.g. inventory valuation on manufacturing
counter-parts locations) and a very simple user interface.

Automate transactions
---------------------

Odoo prepares all operations for you, according to your own logistic rules:
routes, waves, removal/put away strategies, minimum stock rules, etc. Optimizes
the planning and jobs with the scheduler to reduce your process time.

Get Full Traceability
---------------------

Keep an eye on all your stock by tracing all your past and future inventory
transactions. Track in detail all stock moves, not only in your warehouse but
also in counter-parts of the double entry moves (customers, suppliers or
manufacturing locations).

Browse through the upstream or downstream traceability flows to have a clear
vision to what happened to a specific product or lot.

Reduce your stock level
-----------------------

Reduce your stock while always staying replenished! You can setup minimum stock
rules to have automatic procurements with the right quantities computed to get
to the optimum level specified. Get rid of the stress of your stock and let the
system help you with fullfilment propositions. 

Fully Integrated with Operations
--------------------------------

Get your procurements accurate as the Odoo WMS is fully integrated with sales
and purchases for accurate forecasts. The accounting integration allows real
time accounting valuation and deeper reporting on costs and revenues on your
inventory operations.

Track Serial Numbers
--------------------

Assign serial numbers at every step of your reception or delivery flow. Odoo
handles unique serial numbers, batches of identical products or packaging
units.

Scale Your WMS easily
---------------------

Manage your own internal and external locations, customers, suppliers or
manufacturing inventories with the Odoo multi-warehouse management system based
on a hierarchical location structure.

Odoo's Inventory Management is designed to scale from a few thousands
operations to several millions of transactions.

Reporting and Dashboards
------------------------

Analyse your warehouse efficiency to improve performance.

Get the insights you need to make smarter decisions. Design custom dashboards
to get a picture of your warehouse efficiency at a glance. Dig deeper with
real-time reports that anyone can create and share.

Use Routes to Support Your Own Delivery Process
-----------------------------------------------

Customize routes and picking/packing operations to support your own customer
delivery process. Define custom routes or use pre-configured routes, e.g.: pick
⇨ pack ⇨ ship.

Wave & Batch Picking
--------------------

Use routes, waves and orderpoint rules to optimize the way you pick products in
the warehouse. Odoo supports most picking methods out-of-the-box like; wave
picking, batch picking and "by order" picking.

Cross-Docking some products
---------------------------

Unload incoming materials from suppliers and route them directly to the packing
or delivery zone to deliver customers, without going through the stock. Set the
"Cross-Dock" route on products or per sale order lines.

Make to Order and Dropshipping On Demand
----------------------------------------

Fulfill sales order by purchasing or manufacturing products on demand, with the
"Make to Order" route. Use the dropshipping route to deliver customers directly
from your suppliers.

Advanced Removal Strategies
---------------------------

Setup removal strategies per location and/or categories of products. Use
pre-defined strategies (e.g. FIFO, LIFO, FEFO) or easily implement your
specific ones to optimize the material turnover.

Put Away Strategies
-------------------

Setup put away strategies to optimize product storage and bin allocations. Just
define strategies per location, product category and product to store
efficiently incoming materials.

